Get Token holding by address
curl --request GET \
--url https://api.getnimbus.io/v2/address/{address}/holding \
--header 'x-api-key: <api-key>'import requests
url = "https://api.getnimbus.io/v2/address/{address}/holding"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.getnimbus.io/v2/address/{address}/holding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"owner": "0x7383b5e076553f79822374baca843c8fac02d510fb0f4ab344fc7ab591be94a7",
"name": "suirwd.io - Sui Reward Token",
"symbol": "SUIRWD.IO",
"logo": "https://suicamp.b-cdn.net/suireward/suirwd_icon.png",
"amount": "9683.2",
"amountRaw": "9683200000000",
"balance": "9683.2",
"contractAddress": "0xca2c295de7931476539e5fc68e96c289f84bb0967d579b13e1fbf84412c87eb4::SuiReward::SUIREWARD",
"contractDecimals": 9,
"rate": 0,
"price": {
"price": 0,
"symbol": "SUIRWD.IO",
"decimal": 9,
"source": "C"
},
"last_24h_price": "2023-11-07T05:31:56Z",
"avgCost": 0,
"last_transferred_at": "2023-11-07T05:31:56Z",
"positionId": "SUI-0xca2c295de7931476539e5fc68e96c289f84bb0967d579b13e1fbf84412c87eb4::SuiReward::SUIREWARD",
"category": "Other",
"sector": "Other",
"rank": "No rank yet",
"positionType": "token",
"chain": "SUI",
"is_spam": true
}
]
}Address
Get Token holding by address
Retrieves holding information for a given address, including token balances and their values
GET
/
v2
/
address
/
{address}
/
holding
Get Token holding by address
Authorizations
API key for authentication
Path Parameters
The address to get holding information for
Query Parameters
The blockchain to query (default is "ALL")
Available options:
BTC, SOL, SUI, TON, ETH, FANTOM, RON, BNB, OP, AVAX, MATIC, ARB, BASE, SCROLL, ZKSYNC, ALL Force a refresh of the data instead of using cached results
Include profit and loss information (default is false)
Response
Successful response with paginated holding information
Show child attributes
Show child attributes
⌘I

